Package com.castlabs.android.drm

# Enum Drm

java.lang.Object
java.lang.Enum<Drm>
com.castlabs.android.drm.Drm

All Implemented Interfaces:
  `Serializable`, `Comparable<Drm>`

public enum Drm extends Enum<Drm>
The DRM types

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BestAvailable`
  Choose the best DRM available on the device
  `Clearkey`
  Select Clearkey drm
  `Oma`
  Deprecated.
  OMA-DRM is deprecated in favor of Widevine.
  `Playready`
  Select Playready drm
  `Widevine`
  Select widevine DRM
  `Wiseplay`
  Select Wiseplay DRM

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Drm`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Drm[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Widevine

    public static final Drm Widevine
    Select widevine DRM

  - ### Oma

    public static final Drm Oma
    Deprecated.
    OMA-DRM is deprecated in favor of Widevine. If using OMA-DRM as a fallback for Widevine L1, Widevine L3 shall be used instead. Will be removed in a future release.
    Select OMA drm

  - ### Playready

    public static final Drm Playready
    Select Playready drm

  - ### Clearkey

    public static final Drm Clearkey
    Select Clearkey drm

  - ### Wiseplay

    public static final Drm Wiseplay
    Select Wiseplay DRM

  - ### BestAvailable

    public static final Drm BestAvailable
    Choose the best DRM available on the device

- ## Method Details

  - ### values

    public static Drm[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Drm valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null